// $Id$

//  Fish Supper
//  Copyright (C) 2006 Matthew Clarke <matthew_larcke@lycos.co.uk>
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
//  02111-1307, USA.




#include "fontrepository.h"




// *******************
// *** CONSTRUCTOR ***
// *******************
FS::FontRepository::FontRepository()
{
    char digits[3];
    std::string directory(PKG_DATA_DIR "/images/fonts/");
    std::string path;

    for (int i = 0; i < NUM_FONTS; ++i)
    {   
        path = directory;
        sprintf(digits, "%02d", i);
        path += "font_";
        path += digits;
        path += ".png";
        
        my_font_images[i] = SDL_DisplayFormatAlpha(IMG_Load( path.c_str() ));
        SDL_SetAlpha(my_font_images[i], SDL_SRCALPHA|SDL_RLEACCEL, 0);
        my_fonts[i].init(my_font_images[i]);
    } // for

} // FS::FontRepository::FontRepository

// ******************
// *** DESTRUCTOR ***
// ******************
FS::FontRepository::~FontRepository()
{
    // nothing
    
} // FS::FontRepository::~FontRepository

